<?php

/*
 * AfterLogic Admin Panel by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the license described in LICENSE.txt
 * 
 */

	/**
	 * @abstract
	 */
	class MailStorage
	{
		/**
		 * @access protected
		 * @var Account
		 */
		var $_account;
	
		/**
		 * @access protected
		 * @var resource
		 */
		var $_connectionHandle = null;
		
		/**
		 * @var string
		 */
		var $_error = '';
		
		/**
		 * @param Account $account
		 * @return MailStorage
		 */
		function MailStorage(&$account)
		{
			$this->_account =& $account;
		}
		
		/**
		 * @param string $str
		 */
		function SetError($str)
		{
			if ($this->_error === '')
			{
				$this->_error = $str;
			}
		}
		
		/**
		 * @return	string
		 */
		function GetError()
		{
			return $this->_error;
		}
	}
		
	/**
	 * @abstract
	 */
	class MailServerStorage extends MailStorage
	{
		/**
		 * @param Account $account
		 * @return MailServerStorage
		 */
		function MailServerStorage(&$account)
		{
			MailStorage::MailStorage($account);
		}
	}