<script type="text/javascript">
    var ttErrorsAdmin = 'Send the copy of the permanent delivery error notification (bounce) to this address AND to the sender of the original e-mail. If empty, send ONLY to the sender.';
    var ttTempErrorsAdmin = 'Send the copy of the temporary delivery error notification (warning) to this address AND to the sender of the original e-mail. If empty, send ONLY to the sender.';
    var ttNotifyMsgLinesExtra = 'Number of lines of source message to be included into bounce message.';
    var ttNotifySendLogToSender = 'Enables attaching message processing log to bounce message. That log describes message processing stages and sending attempts.';
    var ttSMTP_MaxErrors = 'Maximum number of errors within the same SMTP session that would cause terminating it. Empty or 0 value means no limit.';
    var ttCustomSMTPMessage = 'This message is added to all standard SMTP error responses.';
    var ttCustomMapsList = 'External systems used for analyzing incoming messages (spam/non-spam), also known as public black lists. If such list states message sender is blacklisted, the message will be treated as spam. Strict format : maps-root:code,maps-root:code... Where maps-root is the root for the dns query (e.g. dialups.mail-abuse.org) and the code can be:<br />' +
		'1 = the connection is drooped soon;<br />' +
		'0 = the connection is kept alive but only authenticated users can send mail;<br />' +
		'-S = the peer can send messages but a delay of S seconds will be introduced between commands;<br />' +
		'Ex. &quot;list.dsbl.org.:1,blackholes.mail-abuse.org.:1,dialups.mail-abuse.org.:0&quot;.';
    var ttNotifyTryPattern = 'List of numbers of unsuccessfull delivery attemts notifications to sender will be sent on. When a message cannot be delivered for some reason, XMail tries to deliver it several times (equal to the last number in this list). If number of the current attempt is in this list, notification is sent.';
    var ttPop3SyncErrorAccount = 'If some user accounts configured to fetch mail from external POP3 accounts, here you can specify e-mail account fetching errors should be sent to.';
    var ttRemoveSpoolErrors = 'Indicates if mail should be removed or stored in &quot;froz directory&quot; after a failure in delivery or filtering (froz = &quot;frozen messages&quot;).';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="errors_form" <?php $this->data->PrintValue('hideClass_errors') ?>>
<input type="hidden" name="form_id" value="errors">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="200"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Sets how to handle mail errors (including non-delivery) and send bounce e-mails. 
		</td>
	</tr>
	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" class="wm_admin_title">
			Forwarding of bounce e-mails. 
		</td>
	</tr>
	<tr>
		<td>
			<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttErrorsAdmin);" 
					onmouseout="RemoveToolTip();">Send error reports to</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_ErrorsAdmin" 
					value="<?php $this->data->PrintInputValue('var_ErrorsAdmin') ?>" name="var_ErrorsAdmin" style="width: 300px;" />
		</td>
	</tr>
	<tr>
		<td>
			<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttTempErrorsAdmin);" 
					onmouseout="RemoveToolTip();">Send warning reports to</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_TempErrorsAdmin" 
					name="var_TempErrorsAdmin" value="<?php $this->data->PrintInputValue('var_TempErrorsAdmin') ?>" style="width: 300px;" />
		</td>
	</tr>
	<tr <?php $this->data->PrintValue('class_Advanced') ?>>
		<td colspan="2">
			<div class="convoluted">
				<div onclick="advSwitch(this)">Advanced Options</div>
				<table cellspacing="0" cellpadding="0">
					<tr>
						<td width="200">
							&nbsp;
							<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttNotifyMsgLinesExtra);" 
									onmouseout="RemoveToolTip();">Notification msg include lines</span>
						</td>
						<td>
							<input class="wm_input wm_addmargin" type="text" id="var_NotifyMsgLinesExtra" 
									name="var_NotifyMsgLinesExtra" value="<?php $this->data->PrintIntValue('var_NotifyMsgLinesExtra') ?>" style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<label class="LabelOffset DottedText" for="box_NotifySendLogToSender"
									onmouseover="AddToolTip(ttNotifySendLogToSender);"
									onmouseout="RemoveToolTip();">Notify send log to sender</label>
						</td>
						<td>
							<input type="checkbox" class="wm_checkbox" value="1" id="box_NotifySendLogToSender" 
									name="box_NotifySendLogToSender" <?php $this->data->PrintCheckedValue('box_NotifySendLogToSender') ?>/>
						</td>
					</tr>	
					<tr>
						<td>
							&nbsp;
							<span class="LabelOffset DottedText" onmouseover="AddToolTip(ttSMTP_MaxErrors);" 
									onmouseout="RemoveToolTip();">SMTP max errors</span>
						</td>
						<td>
							<input class="wm_input wm_addmargin" type="text" id="var_SMTP_MaxErrors" 
									value="<?php $this->data->PrintIntValue('var_SMTP_MaxErrors') ?>" name="var_SMTP_MaxErrors" style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" value="1" class="wm_checkbox" id="check_CustomSMTPMessage" 
									name="check_CustomSMTPMessage" <?php $this->data->PrintCheckedValue('check_CustomSMTPMessage') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_CustomSMTPMessage" 
								onmouseover="AddToolTip(ttCustomSMTPMessage);" 
								onmouseout="RemoveToolTip();">Custom SMTP message</label>						
						</td>
						<td>
							<input class="wm_input wm_addmargin" type="text" id="var_CustomSMTPMessage" 
								name="var_CustomSMTPMessage" value="<?php $this->data->PrintInputValue('var_CustomSMTPMessage') ?>"
								style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" value="1" class="wm_checkbox" id="check_CustMapsList"
									name="check_CustMapsList" <?php $this->data->PrintCheckedValue('check_CustMapsList') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_CustMapsList" 
								onmouseover="AddToolTip(ttCustomMapsList);" 
								onmouseout="RemoveToolTip();">Custom maps list</label>						
						</td>
						<td>
							<input name="CustMapsListName" class="wm_checkbox" type="radio" value="default"
									id="CustMapsListDefaultRadioID" <?php $this->data->PrintCheckedValue('CustMapsListDefaultRadioID') ?>/>
							&nbsp;
							<label class="XBoxOffset" for="CustMapsListDefaultRadioID">Default</label>
							<br />
							<input name="CustMapsListName" class="wm_checkbox" type="radio" value="custom"
								id="CustMapsListCustomRadioID" <?php $this->data->PrintCheckedValue('CustMapsListCustomRadioID') ?>/>
							&nbsp;
							<label class="XBoxOffset" for="CustMapsListCustomRadioID">Custom</label>
							&nbsp;
							<input class="wm_input" type="text" id="var_CustMapsList" 
								name="var_CustMapsList" value="<?php $this->data->PrintInputValue('var_CustMapsList') ?>"
								style="width: 200px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_NotifyTryPattern" value="1"
									name="check_NotifyTryPattern" <?php $this->data->PrintCheckedValue('check_NotifyTryPattern') ?>/>
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_NotifyTryPattern"
								onmouseover="AddToolTip(ttNotifyTryPattern);" 
								onmouseout="RemoveToolTip();">Notify try pattern</label>						
						</td>
						<td>
							<input class="wm_input wm_addmargin" type="text" id="var_NotifyTryPattern" 
								name="var_NotifyTryPattern" value="<?php $this->data->PrintInputValue('var_NotifyTryPattern') ?>" style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td>
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="check_Pop3SyncErrorAccount" value="1"
									name="check_Pop3SyncErrorAccount" <?php $this->data->PrintCheckedValue('check_Pop3SyncErrorAccount') ?>/>			                                           
							&nbsp;
							<label class="XBoxOffset DottedText" for="check_Pop3SyncErrorAccount" 
								onmouseover="AddToolTip(ttPop3SyncErrorAccount);" 
								onmouseout="RemoveToolTip();">Account for POP3 sync errors</label>						
						</td>
						<td>
							<input class="wm_input wm_addmargin" type="text" id="var_Pop3SyncErrorAccount" 
								name="var_Pop3SyncErrorAccount" value="<?php $this->data->PrintInputValue('var_Pop3SyncErrorAccount') ?>" style="width: 300px;" />
						</td>
					</tr>
					<tr>
						<td colspan="2">
							&nbsp;
							<input type="checkbox" class="wm_checkbox" id="box_RemoveSpoolErrors" value="1"
									name="box_RemoveSpoolErrors" <?php $this->data->PrintCheckedValue('box_RemoveSpoolErrors') ?>/>			                                           
							&nbsp;
							 <label class="XBoxOffset DottedText" for="box_RemoveSpoolErrors" 
								onmouseover="AddToolTip(ttRemoveSpoolErrors);" 
								onmouseout="RemoveToolTip();">Remove spool errors</label>					
						</td>
					</tr>
				</table>				
			</div>
		</td>
	</tr>		                
	<tr><td colspan="2"><hr size="1"></td></tr>
	<tr>
		<td colspan="2" align="right">
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>