<?php

/*
 * AfterLogic WebMail Pro PHP by AfterLogic Corp. <support@afterlogic.com>
 *
 * Copyright (C) 2002-2009  AfterLogic Corp. (www.afterlogic.com)
 * Distributed under the terms of the proprietary AfterLogic Computer License (LICENSE.txt)
 * 
 */

	class AccountDiv
	{
		/**
		 * @var array
		 */
		var $_accounts;
		
		/**
		 * @var int
		 */
		var $_account_id;
		
		/**
		 * @var string
		 */
		var $_skin;
		
		/**
		 * @param int $userId
		 * @return AccountDiv
		 */
		function AccountDiv($userId, $accountId, $skinName)
		{
			$this->_account_id = $accountId;
			$this->_skin = $skinName;
			
			$user = new CalendarUser();
			$acctArray = $user->SelectAccounts($userId);
			if (count($acctArray)> 0)
			{
				$this->_accounts =& $acctArray;
			}
			else 
			{
				$this->_accounts[$accountId] = '';
			}
		}
		
		/**
		 * @return int
		 */
		function Count()
		{
			return count($this->_accounts);
		}
		
		/**
		 * @return string
		 */
		function doTitle()
		{
			$_one = ($this->Count() < 2);
			$class = $_one ? 'wm_accountslist_selection_none' : 'wm_accountslist_selection wm_control';
	
			$_temp = ($_one) ? '' :
			'
onmouseover="this.className=\'wm_accountslist_selection_over wm_control\'"
onmousedown="this.className=\'wm_accountslist_selection_press wm_control\'"
onmouseup="this.className=\'wm_accountslist_selection_over wm_control\'"
onmouseout="this.className=\'wm_accountslist_selection wm_control\'"			
			';
			
			return '
				<span class="wm_accountslist_email" id="popup_replace_1">
					<a href="#" onclick="parent.HideCalendar(\'account\'); return false;">'.$this->_accounts[$this->_account_id].'</a>
				</span>
				<div class="'.$class.'" id="popup_control_1"
'.$_temp.'
				></div>';
			
		}
		
		/**
		 * @return string
		 */
		function ToHideDiv()
		{
			$out = '';
			if ($this->Count() > 1)
			{
				$out .= '<div class="wm_hide" id="popup_menu_1" >';
				foreach ($this->_accounts as $id_acct => $email)
				{
					if ($this->_account_id != $id_acct)
					{
						$out .= '<div class="wm_account_item" onclick="parent.HideCalendar(\'account\', '.$id_acct.'); return false;"
								onmouseover="this.className=\'wm_account_item_over\';" onmouseout="this.className=\'wm_account_item\';">'.$email.'</div>';	
					}
				}
				$out.= '</div>';
			}
			return $out;
		}
	}