#!/bin/bash

DEBUGG=0
BFPath=$1
KKey=$2
File=$3
DBPath=$4

DBpath=$DBPath

timestamp=`echo "$File" | awk -F/ '{print $NF}'`
date=`date +%Y%m%d000`
nowtime=`date +%T`
File_size=`du -b $File | awk '{print $1}'`

UDB="$DBPath/wordlist.db"
RDB="/var/MailRoot/.SpamDB/wordlist.db"

Exit="7"

if [ -d $DBPath ]; then 
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\".SpamDB '$DBPath' exists, going to learn spamfilter...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi
else
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\".SpamDB '$DBPath' unexists, creating folder to keep it...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi
    mkdir -p $DBPath
fi


if [ -s $UDB ]; then 
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\"'$UDB' exists...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi
else
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\"'$UDB' unexists, copy global...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi

    if [ -s $RDB ]; then
        cp $RDB $UDB
    fi
fi

KHFlag=""

if [ $UDB = $RDB ]; then
    KHFlag="-H"
fi


if [ -f $File ]; then 
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\"MSG '$File' exists, going to learn spamfilter...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi

$BFPath -e $KKey $KHFlag -I $File -d $DBPath

#LOG
    echo "$date	$nowtime	Filter:\"$BFPath\"	Key:\"$KKey\"	File:\"$File\"	Size:$File_size	Database:\"$DBPath\"" >> /var/MailRoot/logs/spamfilter-learn-$date

	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\"Spamfilter actualized and learned...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi
    Exit="3"

else
	if [$DEBUGG = "1" ] 
    echo "$date	$nowtime	\"MSG '$File' unexists, going to exit...\"" >> /var/MailRoot/logs/spamfilter-learn-DEBUG-$date
	fi
    Exit="7"
fi

exit $Exit
