<script type="text/javascript">
    var ttImap4Proto = 'Enables IMAP4 service. If you disable it, IMAP4 mail clients won\'t be able to access mail on your mail server.';
    var ttImap4Port = 'Mail clients use this port to establish regular IMAP4 connections  with your mail server. If enabled, make sure the port is opened in your firewall.';
    var ttImap4PortSSL = 'Mail clients use this port to establish secure IMAP4 connections with your mail server. Set it blank to disable SSL/TLS connections. If enabled, make sure the port is opened in your firewall.';
</script>
<form action="<?php echo AP_INDEX_FILE;?>?mode=submit" method="POST" id="imap4_form" <?php $this->data->PrintValue('hideClass_imap4') ?>>
<input type="hidden" name="form_id" value="imap4">
<table class="wm_admin_center" width="650">
	<tr>
		<td width="200"></td>
		<td><br /></td>
	</tr>
	<tr>
		<td colspan="2" class="wm_safety_info">
			Mail clients (like Outlook) use IMAP4 protocol to access mail in inbox and other folders
			(read more on <a href="http://en.wikipedia.org/wiki/IMAP" target="_blank">Wikipedia</a>).
		</td>
	</tr>
	<tr><td colspan="2"><br /></td></tr>
	<tr>
		<td colspan="2" class="wm_admin_title">
			IMAP4 Options
		</td>
	</tr>
	<tr>
		<td>
			* <label class="LabelOffset DottedText" for="box_Imap4Proto" onmouseover="AddToolTip(ttImap4Proto);"
				onmouseout="RemoveToolTip();" >Enable IMAP4</label>
		</td>
		<td>
			 <input type="checkbox" class="wm_checkbox" value="1" id="box_Imap4Proto" name="box_Imap4Proto" <?php $this->data->PrintCheckedValue('box_Imap4Proto') ?>/>
		</td>
	</tr>
	<tr>
		<td>
			* <span class="LabelOffset DottedText" onmouseover="AddToolTip(ttImap4Port);"
				onmouseout="RemoveToolTip();" >IMAP4 server port</span>
		</td>
		<td>
			<input class="wm_input wm_addmargin" type="text" id="var_Imap4Port" name="var_Imap4Port" 
				maxlength="5" value="<?php $this->data->PrintIntValue('var_Imap4Port') ?>" style="width: 300px;" />
		</td>
	</tr>
	<tr>
		<td>
			* <span class="LabelOffset DottedText" onmouseover="AddToolTip(ttImap4PortSSL);"
				onmouseout="RemoveToolTip();" >IMAP4 SSL/TLS server port</span>
		</td>
		<td>
			<input class="wm_input" type="text" id="var_Imap4PortSSL" maxlength="5" name="var_Imap4PortSSL" 
					value="<?php $this->data->PrintIntValue('var_Imap4PortSSL') ?>" style="width: 300px;" />
		</td>
	</tr>
	<tr><td colspan="2"><hr size="1"></td></tr>
	<tr>
		<td colspan="2" align="right">
			<span class="wm_secondary_info" style="float: left; text-align: left;">* changing settings marked with asterisks<br />requires <a href="#" onclick="PopupDiv.Show();">manual restart of "AfterLogic XMail Server" service</a>.</span>
			<input type="submit" name="submit_btn" value="Save" class="wm_button" style="width: 100px">
		</td>
	</tr>
</table>
</form>